Loading...
Searching...
No Matches
libdar::crit_in_place_data_saved Class Reference
API

if the entry is not an inode the result is also true More...

`#include <criterium.hpp>`

Inherits libdar::criterium.

## Public Member Functions

| crit_in_place_data_saved (const crit_in_place_data_saved &ref)=default
| crit_in_place_data_saved (crit_in_place_data_saved &&ref) noexcept=default
crit_in_place_data_saved & | operator= (const crit_in_place_data_saved &ref)=default
crit_in_place_data_saved & | operator= (crit_in_place_data_saved &&ref) noexcept=default
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const override
| criterum interface method
virtual criterium * | clone () const override
| clone construction method
Public Member Functions inherited from libdar::criterium
| criterium (const criterium &ref)=default
| criterium (criterium &&ref) noexcept=default
criterium & | operator= (const criterium &ref)=default
criterium & | operator= (criterium &&ref) noexcept=default

## Detailed Description

if the entry is not an inode the result is also true

returns true if the data of the first entry is saved int the archive (not marked as unchanged since the archive of reference)

Definition at line 244 of file criterium.hpp.

## Constructor & Destructor Documentation

## crit_in_place_data_saved()

libdar::crit_in_place_data_saved::crit_in_place_data_saved | ( |  | ) |

inline

Definition at line 247 of file criterium.hpp.

## Member Function Documentation

## clone()

virtual criterium * libdar::crit_in_place_data_saved::clone | ( |  | ) | const

inline override virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implements libdar::criterium.

Definition at line 255 of file criterium.hpp.

## evaluate()

virtual bool libdar::crit_in_place_data_saved::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second ) const

override virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implements libdar::criterium.

The documentation for this class was generated from the following file:

- criterium.hpp